#
# spec file for package cdsa (Version 3.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -ssleay autoconf automake bc gpp libgpp libtool perl
# usedforbuild    -ssleay aaa_base aaa_dir autoconf automake base bash bc bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cdsa
%define       openssl_ver         0.9.6a
Summary:      Common Data Security Architecture
Version:      3.12
Release:      88
Copyright:    GPL
Group:        Development/Libraries
URL:          http://developer.intel.com/ial/security/
Source0:      %{name}-%{version}.tar.bz2
Source1:      openssl-%{openssl_ver}.tar.bz2
Patch0:	      %{name}-%{version}-config.patch
Patch1:	      %{name}-%{version}-cert.patch
Patch2:	      %{name}-%{version}-openssl.patch
Patch3:	      %{name}-%{version}-io.patch
Patch40:      %{name}-%{version}-shlib.patch
Patch4:       openssl-%{openssl_ver}.dif
Patch5:       openssl096a-prng.patch
Patch6:       openssl096a-prng-2.patch

%description
CDSA is the Common Data Security Architecture. CDSA provides an open,
cross-platform, interoperable, and extensible software framework
consisting of APIs designed to make computer platforms more secure
for applications such as e-commerce, communications, and digital
content.

SuSE series: sec

%package devel
Group:      Development/Libraries
Summary:      The CDSA header files

%description devel
This package containes the CDSA header files.

SuSE series: sec

%package doc
Group:      Development/Libraries
Summary:      The CDSA documentation

%description doc
This package contains the CDSA documentation.

SuSE series: sec

%prep
################
##### cdsa #####
################
%setup
%patch0
%patch1
%patch2
%patch3
%patch40
#
# cdsa man pages
#
cd cdsa_man
tar -xzf cdsa311man.tar.gz
cd ..
###################
##### openssl #####
###################
%setup -D -T -b 1
cd ../openssl-%{openssl_ver}
#
# from openssl.spec - begin
#
%patch4 -p1
cat $RPM_SOURCE_DIR/openssl096a-prng.patch | patch crypto/rand/md_rand.c
cat $RPM_SOURCE_DIR/openssl096a-prng-2.patch | patch doc/crypto/rand.pod
#
# replace wrong location of perl
#
for file in `find . -type f -exec fgrep -l /local/bin/perl {} \;`; do
    cat $file | \
    sed -e 's+/user/local/bin/perl+%{_bindir}/perl+' \
	-e 's+/usr/local/bin/perl+%{_bindir}/perl+' > tmp_file;
    mv tmp_file $file;
done
#
# from openssl.spec - end
#

%build
###################
##### openssl #####
###################
cd ../openssl-%{openssl_ver}
#
# from openssl.spec - begin
# 	+ removed no-rc5 from parametrs of config
#
./config threads no-idea --prefix=%{_usr} --openssldir=%{_usr}/ssl $RPM_OPT_FLAGS -fPIC shared
perl util/perlpath.pl %{_bindir}/perl
# 
# install now before objects are being compiled
#
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_includedir}
mkdir -p $RPM_BUILD_ROOT/%{_usrsrc}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_usrsrc}/%{name}-%{version}
cp -a .  $RPM_BUILD_ROOT/%{_usrsrc}/%{name}-%{version}
make
%ifarch ia64 ppc s390 s390x sparc sparc64
make do_linux-shared
%endif
make rehash LD_LIBRARY_PATH=`pwd`
make test LD_LIBRARY_PATH=`pwd`
#
# from openssl.spec - end
#
ln -s openssl include/ssl
ln -s . lib
cd ../%{name}-%{version}
################
##### cdsa #####
################
#
# 1. build
#
cd cdsa_dev
make CCM_PROJECT_PATH=%{_builddir}/%{name}-%{version} \
     OPENSSL_BUILD_DIR=%{_builddir}/openssl-%{openssl_ver}
#
# 1. instalation
#
echo 1. instalation
cd cdsa/r3_1_2/build/install
chmod 755 install.sh
./install.sh cdsa
cd ../../../../
#
# generates certificates
#
cp  cdsa/r3_1_2/build/bin/certgen cdsa/build_tools/sign_tools/cdsa_sign/
cp  cdsa/r3_1_2/build/bin/issuer cdsa/build_tools/sign_tools/cdsa_sign/
cd cdsa/build_tools/sign_tools/cdsa_sign/
chmod 755 generate_certs.sh
./generate_certs.sh
cd ../../../../
#
# 1. uninstall
#
cd cdsa/r3_1_2/build/install/
chmod 755 uninstall.sh
./uninstall.sh cdsa
cd ../../../../
#
# applies certificates
#
cd cdsa/build_tools/sign_tools/cdsa_sign/
./issuer -k certs cssm_GetIntegrityRootKeys.h cssm_GetIntegrityRootKeys
./issuer -k certs cssm_GetExportRootKeys.h cssm_GetExportRootKeys
./issuer -i certs cssm_GetIntegrityRootNames.h cssm_GetIntegrityRootNames
./issuer -i certs cssm_GetExportRootNames.h cssm_GetExportRootNames
./issuer -k certs EISL_RetrieveSelfCheckKey.h EISL_RetrieveSelfCheckKey
#
# moves old headers
#
mv ../../../r3_1_2/inc/intel/rootkeys.h ../../../r3_1_2/inc/intel/rootkeys.h.orig
mv ../../../r3_1_2/inc/intel/rootnames.h ../../../r3_1_2/inc/intel/rootnames.h.orig
mv ../../../r3_1_2/inc/intel/modselfkey.h ../../../r3_1_2/inc/intel/modselfkey.h.orig
#
# generates new headers
#
echo "#ifndef ROOT_KEYS_H" > ../../../r3_1_2/inc/intel/rootkeys.h
echo "#define ROOT_KEYS_H" >> ../../../r3_1_2/inc/intel/rootkeys.h
cat cssm_GetIntegrityRootKeys.h >> ../../../r3_1_2/inc/intel/rootkeys.h
cat cssm_GetExportRootKeys.h >> ../../../r3_1_2/inc/intel/rootkeys.h
echo "#endif" >> ../../../r3_1_2/inc/intel/rootkeys.h
#
echo "#ifndef ROOT_NAMES_H" > ../../../r3_1_2/inc/intel/rootnames.h
echo "#define ROOT_NAMES_H" >> ../../../r3_1_2/inc/intel/rootnames.h
cat cssm_GetIntegrityRootNames.h >> ../../../r3_1_2/inc/intel/rootnames.h
cat cssm_GetExportRootNames.h >> ../../../r3_1_2/inc/intel/rootnames.h
echo "#endif" >> ../../../r3_1_2/inc/intel/rootnames.h
#
echo "#ifndef MOD_SELFKEY_H" > ../../../r3_1_2/inc/intel/modselfkey.h
echo "#define MOD_SELFKEY_H" >> ../../../r3_1_2/inc/intel/modselfkey.h
cat EISL_RetrieveSelfCheckKey.h >> ../../../r3_1_2/inc/intel/modselfkey.h
echo "#endif" >> ../../../r3_1_2/inc/intel/modselfkey.h
cd ../../../../
#
# copies some binaries
#
cp cdsa/r3_1_2/build/bin/cdsa_sign cdsa/build_tools/sign_tools/cdsa_sign/
cp cdsa/r3_1_2/build/lib/libisl.so cdsa/build_tools/sign_tools/system32/
cp cdsa/r3_1_2/build/install/mds_install cdsa/build_tools/cdsa/install/
cp cdsa/r3_1_2/build/install/mod_install cdsa/build_tools/cdsa/install/
cp cdsa/r3_1_2/build/lib/libmds.so cdsa/build_tools/cdsa/dll/
cp cdsa/r3_1_2/build/lib/libincssm.so cdsa/build_tools/cdsa/dll/
cp cdsa/r3_1_2/build/lib/libeaycsp.so cdsa/build_tools/cdsa/dll/
cp /var/cdsa/eaycsp.pri cdsa/build_tools/sign_tools/winnt
#
# 2. build
#
mv rules.mk rules.mk.orig
sed -e "s|#CDSA_INTEGRITY_CFLAGS=|CDSA_INTEGRITY_CFLAGS=|" \
    -e "s/CDSA_INTEGRITY_CFLAGS=$/#CDSA_INTEGRITY_CFLAGS=/" \
    rules.mk.orig > rules.mk
make CCM_PROJECT_PATH=%{_builddir}/%{name}-%{version} \
     OPENSSL_BUILD_DIR=%{_builddir}/openssl-%{openssl_ver}
cd ..

%install
cd cdsa_dev
#
# 2. instalation
#
echo 2. Instalation
cd cdsa/r3_1_2/build/install
chmod 755 install.sh
./install.sh cdsa
cd ../../../../
#
# runs cdsa tests
#
cd cdsa/r3_1_2/build/install
./install.sh test
cd ../testbin
./runtest.sh all
./report.sh
cd ../../../../
cd ..
#
# install man pages
#
mkdir -p /usr/include/cdsa/
cp -r cdsa_dev/cdsa/r3_1_2/inc/* /usr/include/cdsa/
cd cdsa_man
cp *.3 %{_mandir}/man3/
cd ..

%files
%defattr(-,root,root)
/var/cdsa/*
/usr/lib/libaalproxy.so
/usr/lib/libdummymulti.so
/usr/lib/libeaycsp.so
/usr/lib/libemmdyad.so
/usr/lib/libin509cl.so
/usr/lib/libin509tp.so
/usr/lib/libincssm.so
/usr/lib/libindyemm.so
/usr/lib/libinffdl.so
/usr/lib/libinhrsdummy.so
/usr/lib/libinhrsemm.so
/usr/lib/libinhrspwbsp.so
/usr/lib/libinspkicltp.so
/usr/lib/libintelac.so
/usr/lib/libmds.so
/usr/lib/libstubcsp.so

%files devel
%defattr(-,root,root)
/usr/include/cdsa/
/usr/share/man/man3/AC_AuthCompute.3*
/usr/share/man/man3/AC_PassThrough.3*
/usr/share/man/man3/CL_CertAbortCache.3*
/usr/share/man/man3/CL_CertAbortQuery.3*
/usr/share/man/man3/CL_CertCache.3*
/usr/share/man/man3/CL_CertCreateTemplate.3*
/usr/share/man/man3/CL_CertDescribeFormat.3*
/usr/share/man/man3/CL_CertGetAllFields.3*
/usr/share/man/man3/CL_CertGetAllTemplateFields.3*
/usr/share/man/man3/CL_CertGetFirstCachedFieldValue.3*
/usr/share/man/man3/CL_CertGetFirstFieldValue.3*
/usr/share/man/man3/CL_CertGetKeyInfo.3*
/usr/share/man/man3/CL_CertGetNextCachedFieldValue.3*
/usr/share/man/man3/CL_CertGetNextFieldValue.3*
/usr/share/man/man3/CL_CertGroupFromVerifiedBundle.3*
/usr/share/man/man3/CL_CertGroupToSignedBundle.3*
/usr/share/man/man3/CL_CertSign.3*
/usr/share/man/man3/CL_CertVerify.3*
/usr/share/man/man3/CL_CertVerifyWithKey.3*
/usr/share/man/man3/CL_CrlAbortCache.3*
/usr/share/man/man3/CL_CrlAbortQuery.3*
/usr/share/man/man3/CL_CrlAddCert.3*
/usr/share/man/man3/CL_CrlCache.3*
/usr/share/man/man3/CL_CrlCreateTemplate.3*
/usr/share/man/man3/CL_CrlDescribeFormat.3*
/usr/share/man/man3/CL_CrlGetAllCachedRecordFields.3*
/usr/share/man/man3/CL_CrlGetAllFields.3*
/usr/share/man/man3/CL_CrlGetFirstCachedFieldValue.3*
/usr/share/man/man3/CL_CrlGetFirstFieldValue.3*
/usr/share/man/man3/CL_CrlGetNextCachedFieldValue.3*
/usr/share/man/man3/CL_CrlGetNextFieldValue.3*
/usr/share/man/man3/CL_CrlRemoveCert.3*
/usr/share/man/man3/CL_CrlSetFields.3*
/usr/share/man/man3/CL_CrlSign.3*
/usr/share/man/man3/CL_CrlVerify.3*
/usr/share/man/man3/CL_CrlVerifyWithKey.3*
/usr/share/man/man3/CL_FreeFieldValue.3*
/usr/share/man/man3/CL_FreeFields.3*
/usr/share/man/man3/CL_IsCertInCachedCrl.3*
/usr/share/man/man3/CL_IsCertInCrl.3*
/usr/share/man/man3/CL_PassThrough.3*
/usr/share/man/man3/CSP_EventNotify.3*
/usr/share/man/man3/CSSM_CSP_ChangeLoginAcl.3*
/usr/share/man/man3/CSSM_CSP_ChangeLoginOwner.3*
/usr/share/man/man3/CSSM_CSP_CreateAsymmetricContext.3*
/usr/share/man/man3/CSSM_CSP_CreateDeriveKeyContext.3*
/usr/share/man/man3/CSSM_CSP_CreateDigestContext.3*
/usr/share/man/man3/CSSM_CSP_CreateKeyGenContext.3*
/usr/share/man/man3/CSSM_CSP_CreateMacContext.3*
/usr/share/man/man3/CSSM_CSP_CreatePassThroughContext.3*
/usr/share/man/man3/CSSM_CSP_CreateRandomGenContext.3*
/usr/share/man/man3/CSSM_CSP_CreateSignatureContext.3*
/usr/share/man/man3/CSSM_CSP_CreateSymmetricContext.3*
/usr/share/man/man3/CSSM_CSP_GetLoginAcl.3*
/usr/share/man/man3/CSSM_CSP_GetLoginOwner.3*
/usr/share/man/man3/CSSM_CSP_Login.3*
/usr/share/man/man3/CSSM_CSP_Logout.3*
/usr/share/man/man3/CSSM_ChangeKeyAcl.3*
/usr/share/man/man3/CSSM_ChangeKeyOwner.3*
/usr/share/man/man3/CSSM_DeleteContext.3*
/usr/share/man/man3/CSSM_DeleteContextAttributes.3*
/usr/share/man/man3/CSSM_FreeContext.3*
/usr/share/man/man3/CSSM_GetAPIMemoryFunctions.3*
/usr/share/man/man3/CSSM_GetContext.3*
/usr/share/man/man3/CSSM_GetContextAttribute.3*
/usr/share/man/man3/CSSM_GetKeyAcl.3*
/usr/share/man/man3/CSSM_GetKeyOwner.3*
/usr/share/man/man3/CSSM_GetModuleGUIDFromHandle.3*
/usr/share/man/man3/CSSM_GetPrivilege.3*
/usr/share/man/man3/CSSM_GetSubserviceUIDFromHandle.3*
/usr/share/man/man3/CSSM_Init.3*
/usr/share/man/man3/CSSM_Introduce.3*
/usr/share/man/man3/CSSM_KR_CreateRecoveryEnablementContext.3*
/usr/share/man/man3/CSSM_KR_CreateRecoveryRegistrationContext.3*
/usr/share/man/man3/CSSM_KR_CreateRecoveryRequestContext.3*
/usr/share/man/man3/CSSM_KR_FreePolicyInfo.3*
/usr/share/man/man3/CSSM_KR_GetPolicyInfo.3*
/usr/share/man/man3/CSSM_KR_QueryPolicyInfo.3*
/usr/share/man/man3/CSSM_KR_SetEnterpriseRecoveryPolicy.3*
/usr/share/man/man3/CSSM_ListAttachedModuleManagers.3*
/usr/share/man/man3/CSSM_ModuleAttach.3*
/usr/share/man/man3/CSSM_ModuleDetach.3*
/usr/share/man/man3/CSSM_ModuleLoad.3*
/usr/share/man/man3/CSSM_ModuleUnload.3*
/usr/share/man/man3/CSSM_SPI_ModuleAttach.3*
/usr/share/man/man3/CSSM_SPI_ModuleDetach.3*
/usr/share/man/man3/CSSM_SPI_ModuleLoad.3*
/usr/share/man/man3/CSSM_SPI_ModuleUnload.3*
/usr/share/man/man3/CSSM_SetContext.3*
/usr/share/man/man3/CSSM_SetPrivilege.3*
/usr/share/man/man3/CSSM_TP_RetrieveCredResult.3*
/usr/share/man/man3/CSSM_Terminate.3*
/usr/share/man/man3/CSSM_Unintroduce.3*
/usr/share/man/man3/CSSM_UpdateContextAttributes.3*
/usr/share/man/man3/DL_Authenticate.3*
/usr/share/man/man3/DL_ChangeDbAcl.3*
/usr/share/man/man3/DL_ChangeDbOwner.3*
/usr/share/man/man3/DL_CreateRelation.3*
/usr/share/man/man3/DL_DataAbortQuery.3*
/usr/share/man/man3/DL_DataDelete.3*
/usr/share/man/man3/DL_DataGetFirst.3*
/usr/share/man/man3/DL_DataGetFromUniqueRecordId.3*
/usr/share/man/man3/DL_DataGetNext.3*
/usr/share/man/man3/DL_DataInsert.3*
/usr/share/man/man3/DL_DataModify.3*
/usr/share/man/man3/DL_DbClose.3*
/usr/share/man/man3/DL_DbCreate.3*
/usr/share/man/man3/DL_DbDelete.3*
/usr/share/man/man3/DL_DbOpen.3*
/usr/share/man/man3/DL_DestroyRelation.3*
/usr/share/man/man3/DL_FreeNameList.3*
/usr/share/man/man3/DL_FreeUniqueRecord.3*
/usr/share/man/man3/DL_GetDbAcl.3*
/usr/share/man/man3/DL_GetDbNameFromHandle.3*
/usr/share/man/man3/DL_GetDbNames.3*
/usr/share/man/man3/DL_GetDbOwner.3*
/usr/share/man/man3/DL_PassThrough.3*
/usr/share/man/man3/DecryptData.3*
/usr/share/man/man3/DecryptDataFinal.3*
/usr/share/man/man3/DecryptDataInit.3*
/usr/share/man/man3/DecryptDataInitP.3*
/usr/share/man/man3/DecryptDataP.3*
/usr/share/man/man3/DecryptDataUpdate.3*
/usr/share/man/man3/DeregisterDispatchTable.3*
/usr/share/man/man3/DeriveKey.3*
/usr/share/man/man3/DigestData.3*
/usr/share/man/man3/DigestDataClone.3*
/usr/share/man/man3/DigestDataFinal.3*
/usr/share/man/man3/DigestDataInit.3*
/usr/share/man/man3/DigestDataUpdate.3*
/usr/share/man/man3/EISL_CheckAddressWithinModule.3*
/usr/share/man/man3/EISL_CheckDataAddressWithinModule.3*
/usr/share/man/man3/EISL_ContinueVerification.3*
/usr/share/man/man3/EISL_CopyCertificateChain.3*
/usr/share/man/man3/EISL_CreateCertificateAttributeEnumerator.3*
/usr/share/man/man3/EISL_CreateCertificateChain.3*
/usr/share/man/man3/EISL_CreateCertificateChainWithCertificate.3*
/usr/share/man/man3/EISL_CreateCertificateChainWithCredDataAndCert.3*
/usr/share/man/man3/EISL_CreateCertificateChainWithCredentialData.3*
/usr/share/man/man3/EISL_CreateManifestAttributeEnumerator.3*
/usr/share/man/man3/EISL_CreateManifestSectionAttributeEnumerator.3*
/usr/share/man/man3/EISL_CreateManifestSectionEnumerator.3*
/usr/share/man/man3/EISL_CreateSignatureAttributeEnumerator.3*
/usr/share/man/man3/EISL_CreateSignerInfoAttributeEnumerator.3*
/usr/share/man/man3/EISL_CreateVerifiedSigRootWithCredDataAndCert.3*
/usr/share/man/man3/EISL_CreateVerifiedSignatureRoot.3*
/usr/share/man/man3/EISL_CreateVerifiedSignatureRootWithCertificate.3*
/usr/share/man/man3/EISL_CreateVerifiedSignatureRootWithCredentialData.3*
/usr/share/man/man3/EISL_DuplicateVerifiedModulePtr.3*
/usr/share/man/man3/EISL_FindCertificateAttribute.3*
/usr/share/man/man3/EISL_FindManifestAttribute.3*
/usr/share/man/man3/EISL_FindManifestSection.3*
/usr/share/man/man3/EISL_FindManifestSectionAttribute.3*
/usr/share/man/man3/EISL_FindSignatureAttribute.3*
/usr/share/man/man3/EISL_FindSignerInfoAttribute.3*
/usr/share/man/man3/EISL_GetCertficateChain.3*
/usr/share/man/man3/EISL_GetLibHandle.3*
/usr/share/man/man3/EISL_GetManifestSignatureRoot.3*
/usr/share/man/man3/EISL_GetModuleManifestSection.3*
/usr/share/man/man3/EISL_GetNextAttribute.3*
/usr/share/man/man3/EISL_GetNextCertificateAttribute.3*
/usr/share/man/man3/EISL_GetNextManifestSection.3*
/usr/share/man/man3/EISL_GetNextManifestSectionAttribute.3*
/usr/share/man/man3/EISL_GetNextSignatureAttribute.3*
/usr/share/man/man3/EISL_GetReturnAddress.3*
/usr/share/man/man3/EISL_LocateProcedureAddress.3*
/usr/share/man/man3/EISL_RecycleAttributeEnumerator.3*
/usr/share/man/man3/EISL_RecycleCertificateAttributeEnumerator.3*
/usr/share/man/man3/EISL_RecycleManifestSectionAttributeEnumerator.3*
/usr/share/man/man3/EISL_RecycleManifestSectionEnumerator.3*
/usr/share/man/man3/EISL_RecycleSignatureAttributeEnumerator.3*
/usr/share/man/man3/EISL_RecycleVerifiedCertificateChain.3*
/usr/share/man/man3/EISL_RecycleVerifiedModuleCredentials.3*
/usr/share/man/man3/EISL_RecycleVerifiedSignatureRoot.3*
/usr/share/man/man3/EISL_SelfCheck.3*
/usr/share/man/man3/EISL_VerifyAndLoadModule.3*
/usr/share/man/man3/EISL_VerifyAndLoadModuleAndCredDataWithCert.3*
/usr/share/man/man3/EISL_VerifyAndLoadModuleAndCredentialData.3*
/usr/share/man/man3/EISL_VerifyAndLoadModuleAndCredentials.3*
/usr/share/man/man3/EISL_VerifyAndLoadModuleAndCredentialsWithCert.3*
/usr/share/man/man3/EISL_VerifyLoadedModule.3*
/usr/share/man/man3/EISL_VerifyLoadedModuleAndCredDataWithCert.3*
/usr/share/man/man3/EISL_VerifyLoadedModuleAndCredentialData.3*
/usr/share/man/man3/EISL_VerifyLoadedModuleAndCredentials.3*
/usr/share/man/man3/EISL_VerifyLoadedModuleAndCredentialsWithCert.3*
/usr/share/man/man3/EncryptData.3*
/usr/share/man/man3/EncryptDataFinal.3*
/usr/share/man/man3/EncryptDataInit.3*
/usr/share/man/man3/EncryptDataInitP.3*
/usr/share/man/man3/EncryptDataP.3*
/usr/share/man/man3/EncryptDataUpdate.3*
/usr/share/man/man3/EventNotifyManager.3*
/usr/share/man/man3/FreeKey.3*
/usr/share/man/man3/GenerateAlgorithmParams.3*
/usr/share/man/man3/GenerateKey.3*
/usr/share/man/man3/GenerateKeyP.3*
/usr/share/man/man3/GenerateKeyPair.3*
/usr/share/man/man3/GenerateKeyPairP.3*
/usr/share/man/man3/GenerateMac.3*
/usr/share/man/man3/GenerateMacFinal.3*
/usr/share/man/man3/GenerateMacInit.3*
/usr/share/man/man3/GenerateMacUpdate.3*
/usr/share/man/man3/GenerateRandom.3*
/usr/share/man/man3/GetOperationalStatistics.3*
/usr/share/man/man3/GetTimeValue.3*
/usr/share/man/man3/Initialize.3*
/usr/share/man/man3/KRSP_PassPrivFunc.3*
/usr/share/man/man3/KR_GenerateRecoveryFields.3*
/usr/share/man/man3/KR_GetRecoveredObject.3*
/usr/share/man/man3/KR_PassThrough.3*
/usr/share/man/man3/KR_ProcessRecoveryFields.3*
/usr/share/man/man3/KR_RecoveryRequest.3*
/usr/share/man/man3/KR_RecoveryRequestAbort.3*
/usr/share/man/man3/KR_RecoveryRetrieve.3*
/usr/share/man/man3/KR_RegistrationRequest.3*
/usr/share/man/man3/KR_RegistrationRetrieve.3*
/usr/share/man/man3/MDS_Initialize.3*
/usr/share/man/man3/MDS_Install.3*
/usr/share/man/man3/MDS_Terminate.3*
/usr/share/man/man3/MDS_Uninstall.3*
/usr/share/man/man3/ModuleManagerAuthenticate.3*
/usr/share/man/man3/ObtainPrivateKeyFromPublicKey.3*
/usr/share/man/man3/PassThrough.3*
/usr/share/man/man3/QueryKeySizeInBits.3*
/usr/share/man/man3/QuerySize.3*
/usr/share/man/man3/RefreshFunctionTable.3*
/usr/share/man/man3/RegisterDispatchTable.3*
/usr/share/man/man3/RetrieveCounter.3*
/usr/share/man/man3/RetrieveUniqueId.3*
/usr/share/man/man3/SignData.3*
/usr/share/man/man3/SignDataFinal.3*
/usr/share/man/man3/SignDataInit.3*
/usr/share/man/man3/SignDataUpdate.3*
/usr/share/man/man3/TP_ApplyCrlToDb.3*
/usr/share/man/man3/TP_CertCreateTemplate.3*
/usr/share/man/man3/TP_CertGetAllTemplateFields.3*
/usr/share/man/man3/TP_CertGroupConstruct.3*
/usr/share/man/man3/TP_CertGroupPrune.3*
/usr/share/man/man3/TP_CertGroupToTupleGroup.3*
/usr/share/man/man3/TP_CertGroupVerify.3*
/usr/share/man/man3/TP_CertReclaimAbort.3*
/usr/share/man/man3/TP_CertReclaimKey.3*
/usr/share/man/man3/TP_CertRemoveFromCrlTemplate.3*
/usr/share/man/man3/TP_CertRevoke.3*
/usr/share/man/man3/TP_CertSign.3*
/usr/share/man/man3/TP_ConfirmCredResult.3*
/usr/share/man/man3/TP_CrlCreateTemplate.3*
/usr/share/man/man3/TP_CrlSign.3*
/usr/share/man/man3/TP_CrlVerify.3*
/usr/share/man/man3/TP_FormRequest.3*
/usr/share/man/man3/TP_FormSubmit.3*
/usr/share/man/man3/TP_PassThrough.3*
/usr/share/man/man3/TP_ReceiveConfirmation.3*
/usr/share/man/man3/TP_SubmitCredRequest.3*
/usr/share/man/man3/TP_TupleGroupToCertGroup.3*
/usr/share/man/man3/Terminate.3*
/usr/share/man/man3/UnwrapKey.3*
/usr/share/man/man3/UnwrapKeyP.3*
/usr/share/man/man3/VerifyData.3*
/usr/share/man/man3/VerifyDataFinal.3*
/usr/share/man/man3/VerifyDataInit.3*
/usr/share/man/man3/VerifyDataUpdate.3*
/usr/share/man/man3/VerifyDevice.3*
/usr/share/man/man3/VerifyMac.3*
/usr/share/man/man3/VerifyMacFinal.3*
/usr/share/man/man3/VerifyMacInit.3*
/usr/share/man/man3/VerifyMacUpdate.3*
/usr/share/man/man3/WrapKey.3*
/usr/share/man/man3/WrapKeyP.3*
/usr/share/man/man3/cssm_CcToHandle.3*
/usr/share/man/man3/cssm_DeregisterManagerServices.3*
/usr/share/man/man3/cssm_GetAppMemoryFunctions.3*
/usr/share/man/man3/cssm_GetAttachFunctions.3*
/usr/share/man/man3/cssm_GetModuleInfo.3*
/usr/share/man/man3/cssm_IsFuncCallValid.3*
/usr/share/man/man3/cssm_ReleaseAttachFunctions.3*

%files doc
%defattr(-,root,root)
%doc cdsa_dev/docs/* cdsa_dev/lin_readme.txt

%changelog -n cdsa
* Tue Aug 28 2001 - schwab@suse.de
- Fix building of shared objects.
- Fix invalid use of internal libc interface.
* Wed Jul 18 2001 - pmladek@suse.cz
- updated openssl
  *  to version 0.9.6a
  *  PRNG security patch
* Mon Apr 23 2001 - pmladek@suse.cz
- fixed to compile on s390 (no <sys/io.h> in include)
* Wed Apr 11 2001 - pmladek@suse.cz
- new package
- builded signed integrity stack
- contain openssl through compilation with support for rc5
- created devel and doc packages
